#
# spec file for package kpooka (Version 1.1)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

# Commandline:  --kde2 -i "rm -f /kpooka.xpm"
Name:         kpooka
Copyright:    unknown
Group:        X11/KDE/Games
Summary:      Logic game for KDE, kind of a Sokoban/Pengo combo
Version:      1.1
Release:      224
Source0:      kpooka-1.1.tar.bz2
Patch:        kpooka-1.1.dif

%description
Move with arrow keys and try to get to the square marked with
the 'E'. Single blocks can be moved.

Authors:
--------
    Mr. Bogus <paulrahme@yahoo.com>

SuSE series: k2de

%prep
%setup -n kpooka
%patch

%build
%{?suse_update_config:%{suse_update_config -l -f admin}}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS $RPM_OPT_FLAGS -DNDEBUG " ./configure \
  --prefix=/opt/kde2 \
 --mandir=/usr/share/man/ \
 --with-qt-dir=/usr/lib/qt2/ \
  
make

%install
make install

%files
%doc TODO README INSTALL ChangeLog COPYING 
%dir /opt/kde2/share/applnk
%dir /opt/kde2/share/applnk/Games
%dir /opt/kde2/share/apps/kpooka
%dir /opt/kde2/share/doc/HTML/de
%dir /opt/kde2/share/doc/HTML/de/kpooka
%dir /opt/kde2/share/doc/HTML/en/kpooka
/opt/kde2/bin/kpooka
/opt/kde2/share/applnk/Games/kpooka.desktop
/opt/kde2/share/apps/kpooka/0.xpm
/opt/kde2/share/apps/kpooka/10.xpm
/opt/kde2/share/apps/kpooka/11.xpm
/opt/kde2/share/apps/kpooka/2.xpm
/opt/kde2/share/apps/kpooka/2in5.xpm
/opt/kde2/share/apps/kpooka/5.xpm
/opt/kde2/share/apps/kpooka/9.xpm
/opt/kde2/share/apps/kpooka/b1t.xpm
/opt/kde2/share/apps/kpooka/b2t.xpm
/opt/kde2/share/apps/kpooka/b3t.xpm
/opt/kde2/share/apps/kpooka/bkt.xpm
/opt/kde2/share/apps/kpooka/end1.xpm
/opt/kde2/share/apps/kpooka/end10.xpm
/opt/kde2/share/apps/kpooka/end2.xpm
/opt/kde2/share/apps/kpooka/end3.xpm
/opt/kde2/share/apps/kpooka/end4.xpm
/opt/kde2/share/apps/kpooka/end5.xpm
/opt/kde2/share/apps/kpooka/end6.xpm
/opt/kde2/share/apps/kpooka/end7.xpm
/opt/kde2/share/apps/kpooka/end8.xpm
/opt/kde2/share/apps/kpooka/end9.xpm
/opt/kde2/share/apps/kpooka/kpooka.desktop
/opt/kde2/share/apps/kpooka/l1r.xpm
/opt/kde2/share/apps/kpooka/l2r.xpm
/opt/kde2/share/apps/kpooka/l3r.xpm
/opt/kde2/share/apps/kpooka/level.dat
/opt/kde2/share/apps/kpooka/lkr.xpm
/opt/kde2/share/apps/kpooka/r1l.xpm
/opt/kde2/share/apps/kpooka/r2l.xpm
/opt/kde2/share/apps/kpooka/r3l.xpm
/opt/kde2/share/apps/kpooka/rkl.xpm
/opt/kde2/share/apps/kpooka/t1b.xpm
/opt/kde2/share/apps/kpooka/t2b.xpm
/opt/kde2/share/apps/kpooka/t3b.xpm
/opt/kde2/share/apps/kpooka/teleport1.xpm
/opt/kde2/share/apps/kpooka/teleport2.xpm
/opt/kde2/share/apps/kpooka/teleport3.xpm
/opt/kde2/share/apps/kpooka/teleport4.xpm
/opt/kde2/share/apps/kpooka/teleport5.xpm
/opt/kde2/share/apps/kpooka/teleport6.xpm
/opt/kde2/share/apps/kpooka/tkb.xpm
/opt/kde2/share/doc/HTML/de/kpooka/index.html
/opt/kde2/share/doc/HTML/en/kpooka/index.html
/opt/kde2/share/icons/kpooka.xpm

%changelog -n kpooka
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Mon Aug 13 2001 - ro@suse.de
- fixed for new autoconf
* Tue May 15 2001 - froh@suse.de
- fixed suse_update_config
* Thu Apr 05 2001 - adrian@suse.de
- New version 1.1
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Mon Dec 04 2000 - adrian@suse.de
- fixed neededforbuild
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Fri Nov 10 2000 - adrian@suse.de
- fixed filelist
* Wed Nov 08 2000 - ro@suse.de
- neededforbuild libmng
* Wed Sep 20 2000 - adrian@suse.de
- update to 1.0.0 (KDE2)
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sun May 28 2000 - @suse.de
- Spec file created from kpooka-0.3.tgz by autospec
* Fri May 26 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Fri May 26 2000 - adrian@suse.de
- Spec file created from kpooka-0.3.tgz by autospec
* Thu Mar 30 2000 - adrian@suse.de
- delete the kbase from neededforbuild
* Tue Jan 11 2000 - kettner@suse.de
- New version 0.3
* Fri Oct 15 1999 - kettner@suse.de
- Spec file created from kpooka-0.1.tgz by autospec
